VCS: https://gitlab.cern.ch/linuxsupport/rpms/pyphonebook/-/tree/8c53e4beda658a3cc05eeafe762661297a851273
# Get Requires from setup.py
%{?python_enable_dependency_generator}

Name:       pyphonebook
Version:    2.0.1
Release:    2%{?dist}
Summary:    Python API and small CLI tool to query the CERN LDAP personnel database

Group: CERN/Utilities
License: LGPLv3
URL: https://gitlab.cern.ch/linuxsupport/rpms/pyphonebook
Source: %{name}-%{version}.tar.gz
BuildArch: noarch

BuildRequires: python3-devel

%description
Python API and small CLI tool to query the CERN LDAP personnel database.

%prep
%setup -q -n pyphonebook-%{version}

%build
%py3_build

%install
%py3_install

%files
%{python3_sitelib}/pyphonebook/
%{python3_sitelib}/pyphonebook-*.egg-info
%{_bindir}/pyphonebook

%changelog
* Thu Jul 22 2021 Sara Zanzottera <sara.zanzottera@cern.ch> - 2.0.1-2
- [all] Try to build for CentOS 8
